#pragma once

#include <QtWidgets/QMainWindow>
#include "dag_present.h"
#include "xast_parse.h"

class StoryPresent : public QMainWindow {
	Q_OBJECT

public:
	StoryPresent(QWidget* parent = nullptr);
	~StoryPresent();

	void loadXAST(const QString &ast_path);

private:
	double _scale_value = 1;
	dags::DAGActiveView *const _story_present;
	QHash<QString, std::shared_ptr<xast_parse::StoryDefine>> _story_graph;

	void bigger();
	void lesser();
};
